<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven Checkstyle Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
  </properties>

  <body>
    <section name="Goals">
      <table>
        <tr><th>Goal</th><th>Description</th></tr>
        <tr>
          <td>checkstyle</td>
          <td>
            This is the default goal of the plugin. It simply calls the
            <code>checkstyle:report</code> goal.
          </td>
        </tr>
        <tr>
          <td>checkstyle:report</td>
          <td>
            Generates an xml report from the source code showing how well the
            code conforms to the 
            <a href="http://checkstyle.sourceforge.net">Checkstyle</a>
            definitions defined by the project.
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
